export abstract class WpjComponent {
   private readonly _selector: string;

   constructor(selector: string) {
      this._selector = selector;
   }

   /** TOHLE MÁ ŠPATNEJ TYP, MÁ TO BÝT Document */
   create(root: HTMLElement): void {
   }

   public get selector(): string {
      return this._selector;
   }

   protected get component(): HTMLElement | null {
      return document.querySelector(this.selector);
   }
}
